## strace 4.15

=== debian/changelog ===
strace (4.15-2) unstable; urgency=medium

  * Disable some tests on hppa too

 -- Steve McIntyre <93sam@debian.org>  Sat, 25 Dec 2016 01:23:04 +0000

strace (4.15-1) unstable; urgency=medium

  * New upstream release. Closes: #841278
  * Put packaging in git for small Debian package changes too.
    Closes: #662867. Thanks to nicoo for doing most of the work here!
  * Remove existing Debian patches, now obsoleted by upstream.
  * Disable a few tests on mips*
  * Update Standards-Version to 3.9.8
  * Update debhelper compat level to 10, replace -s with -a in some calls

 -- Steve McIntyre <93sam@debian.org>  Sat, 24 Dec 2016 19:03:26 +0000

strace (4.14-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Tue, 04 Oct 2016 18:19:20 +0000

strace (4.13-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 4.13
    Closes: #831280, #836999
  * Make the build reproducible (Closes: #811285)
    Simply set the locale to C while sorting enum items,
    otherwise the sorting order may change.
  * Add Vcs-* metadata (Closes: #838815)
  * debian/watch: signature verification
  * Refresh patch
    No actual change, but the patch didn't apply cleanly anymore
    due to whitespace changes.

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Sun, 25 Sep 2016 14:06:50 +0200

strace (4.13-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Tue, 26 Jul 2016 16:17:18 +0000

strace (4.12-3) unstable; urgency=medium

  * Fix up 32/64-bit test output in strace -S test to fix i386 build
  * Run make check with VERBOSE=1 so we get useful information in build logs

 -- Steve McIntyre <93sam@debian.org>  Sat, 04 Jun 2016 02:37:44 +0100

strace (4.12-2) unstable; urgency=medium

  * Remove libunwind dependency. Closes: #826223

 -- Steve McIntyre <93sam@debian.org>  Fri, 03 Jun 2016 13:43:44 +0100

strace (4.12-1) unstable; urgency=low

  [ Dmitry V. Levin ]
  * New upstream version.
    + implemented simultaneous use of -p option and tracing of a command,
      closes: #549942
    + fixed decoding of syscalls unknown to the kernel on s390/s390x,
      closes: #485979
  [ Steve McIntyre ]
  * Drop mips64el from the architecture list for now.

 -- Steve McIntyre <93sam@debian.org>  Fri, 03 Jun 2016 00:18:40 +0100
