=== debian/changelog ===
strace (4.21-1ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Apply ptrace-error-verbosity.patch
    - kexec_file_load.patch: Skip kexec_file_load test on ppc* before 4.11.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 11 Apr 2018 16:18:47 +0200

strace (4.21-1) unstable; urgency=medium

  * New upstream release(s)
  * Moved git repo from alioth to salsa.d.o
  * Several Debian changes from upstream:
    + Build strace-udeb separately so we can enable libunwind (Closes: #826223)
    + Re-enable building with libiberty and libunwind for the full amd64
      package (Closes: #782427)
    + Add "strace -V" output to build log
    + Use the new --enable-mpers=check option at build time
    + Install strace-log-merge and its man page
  * Add build-dep on libbluetooth-dev to allow decoding of AF_BLUETOOTH
    socket operations too (Closes: #882413)
  * Fix ancient Changelog entries to fix up errors in various
    tools. Thanks to Benjamin Drung for the patch. Closes: #886653
  * Disallow unaligned access on ARM in tests. Thanks to Steve Langasek /
    Ubuntu for the patch. Closes: #864858
  * Minor packaging updates:
    + Updated versioned dependency on debhelper
    + Use /usr/share/dpkg/architecture.mk instead of manually setting
      build variables
    + Switch all the binary packages from Priority: extra to optional
    + Switch to linux-any from a hard-coded list of arches for the normal
      packages. (Leaving alone for the 32-bit multilib versions.)
      Closes: #883697
    + Update Standards-Version to 4.1.3
  * Multiple general changes and bugfixes - see the NEWS file
  * Upstream moved from sourceforge to github, so upstream release style
    changed slightly. Now need to bootstrap at build time.

 -- Steve McIntyre <93sam@debian.org>  Mon, 19 Feb 2018 14:59:09 +0000

strace (4.19-1ubuntu2) bionic; urgency=medium

  * debian/patches/tests-fix-llseek-test.patch: Cherry pick upstream commit
    3d2a5884ce6311834ae16729e2b01ccf3625c6dd to fix llseek test on armhf

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 23 Jan 2018 12:53:51 +0100

strace (4.19-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Apply ptrace-error-verbosity.patch
    - debian/patches/no-arm-unaligned-access: Don't allow unaligned access
      on ARM in the tests.
    - kexec_file_load.patch: Skip kexec_file_load test on ppc* before 4.11.
    - debian/control: Use linux-any for architecture fields

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 12 Jan 2018 18:21:49 +0100

strace (4.19-1) unstable; urgency=medium

  * New upstream release(s)
  * Remove old debian patches, obsoleted upstream
    + Re-enable tests for mips* and hppa

 -- Steve McIntyre <93sam@debian.org>  Wed, 01 Nov 2017 02:29:18 +0000

strace (4.15-2ubuntu3) artful; urgency=medium

  * kexec_file_load.patch: Skip kexec_file_load test on ppc* before 4.11.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 17 Jun 2017 11:12:39 -0600

strace (4.15-2ubuntu2) artful; urgency=medium

  * debian/patches/no-arm-unaligned-access: Don't allow unaligned access
    on ARM in the tests.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Jun 2017 21:57:41 -0700

strace (4.15-2ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Apply ptrace-error-verbosity.patch

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 19 Jan 2017 14:02:00 +0000

strace (4.12-3ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstalbe.  Remaining changes:
    - Apply ptrace-error-verbosity.patch

  * Drop lseek patch, no longer needed.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 12 Aug 2016 11:08:03 +0100
