## strace 4.25

=== debian/changelog ===
strace (4.25-0ubuntu1) disco; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Nov 2018 14:27:33 +0100

strace (4.21-1ubuntu2) cosmic; urgency=medium

  * Fix ftbfs with new glibc, statx is now defined.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 04 Oct 2018 17:03:56 +0100
