## strace 4.26

=== debian/changelog ===
strace (4.26-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick upstream commit to fix mips build
    - debian/patches/0002-mips-o32-fix-build.patch

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 13 Jan 2019 10:30:07 +0100

strace (4.26-0.1) unstable; urgency=medium

  * Non-maintainer upload, with maintainer permission.

  [ Ondřej Nový ]
  * d/control: Removing redundant Priority field in binary package
  * d/watch: Use https protocol

  [ Andreas Henriksson ]
  * debian/watch: update for new official release site
  * New upstream version 4.26 (Closes: #915290)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 12 Jan 2019 20:32:27 +0100
