=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: strace
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Steve McIntyre <93sam@debian.org>
+Maintainer: Steve McIntyre <93sam@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: libc6-dev (>= 2.2.2) [!alpha !ia64], libc6.1-dev (>= 2.2.2) [alpha ia64], gcc-multilib [amd64 i386 powerpc ppc64 s390 sparc sparc64 x32], debhelper (>= 10.0.0), gawk, libunwind-dev [amd64], libiberty-dev [amd64], libbluetooth-dev
@@ -24,7 +23,6 @@
 
 Package: strace64
 Architecture: i386 powerpc s390 sparc
-Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: System call tracer for 64bit binaries
  strace is a system call tracer, i.e. a debugging tool which prints out
@@ -42,7 +40,6 @@
 Package: strace-udeb
 Section: debian-installer
 XC-Package-Type: udeb
-Priority: optional
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: System call tracer
