=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/architecture.mk
 
 CFLAGS += -Wall -g
 
@@ -19,9 +20,7 @@
   MAKEFLAGS += -j$(NUMJOBS)
 endif
 
-DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+extra_build_targets += build-udeb-stamp
 
 arch64_map = i386=x86_64 powerpc=powerpc64 sparc=sparc64 s390=s390x
 ifneq (,$(filter $(DEB_HOST_ARCH)=%, $(arch64_map)))
@@ -44,25 +43,34 @@
 build-arch: build-stamp $(extra_build_targets)
 build-indep: build-stamp $(extra_build_targets)
 
+configure:
+	./bootstrap
+
 %-stamp: %/Makefile
 	$(MAKE) -C $*
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+	$*/strace -V
 	$(MAKE) -C $* check VERBOSE=1
 endif
 	touch $@
 
-build/Makefile:
+build/Makefile: configure
 	mkdir -p $(@D)
-	cd $(@D); sh ../configure --prefix=/usr $(CONFIG_OPTS)
+	cd $(@D); sh ../configure --enable-mpers=check --prefix=/usr $(CONFIG_OPTS)
 
-build64/Makefile:
+build-udeb/Makefile: configure
 	mkdir -p $(@D)
-	cd $(@D); CC="$(CC64)" sh ../configure --prefix=/usr --build=$(DEB_BUILD_GNU_TYPE) --host=$(HOST64)
+	cd $(@D); sh ../configure --enable-mpers=check --prefix=/usr \
+		--without-libunwind --without-libiberty $(CONFIG_OPTS)
+
+build64/Makefile: configure
+	mkdir -p $(@D)
+	cd $(@D); CC="$(CC64)" sh ../configure --enable-mpers=check --prefix=/usr --build=$(DEB_BUILD_GNU_TYPE) --host=$(HOST64)
 
 clean:
 	dh_testdir
 	dh_testroot
-	rm -rf build build64 strace64.1 debian/strace64.substvars
+	rm -rf build build-udeb build64 strace64.1 debian/strace64.substvars
 	dh_clean
 
 binary: binary-indep binary-arch
@@ -74,7 +82,7 @@
 
 	# prepare 64bit executable and manpage, if it has been built
 	test -f build64-stamp && ( mv build64/strace build64/strace64 ; \
-		cp strace.1 strace64.1 ) || true
+		mv build64/strace.1 build64/strace64.1 ) || true
 
 	dh_testdir -a
 	dh_testroot -a
