## strace 5.5

=== debian/changelog ===
strace (5.5-3ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Apply ptrace-error-verbosity.patch
    - also filter kexec_file_load out of the list of programs to run for other
      tests.
  * XFAIL multiple tests with CPU timeout to fix FTBFS on riscv64

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 17 Apr 2020 00:23:25 +0200

strace (5.5-3) unstable; urgency=medium

  * Take more upstream patches to fix mipsel test failures
  * Tweak and disable more tests that are failing on buildds

 -- Steve McIntyre <93sam@debian.org>  Wed, 07 Apr 2020 15:17:29 +0100

strace (5.5-2) unstable; urgency=medium

  * Take upstream change to fix test failure in the strace-DDD
    test.
  * Disable the delay test - it's unreliable on busy machines

 -- Steve McIntyre <93sam@debian.org>  Tue, 07 Apr 2020 03:03:00 +0100

strace (5.5-1) unstable; urgency=medium

  * New upstream version 5.5 (Closes: #947396)
    - Remove debian/patches/0002-mips-o32-fix-build.patch, not needed now

 -- Steve McIntyre <93sam@debian.org>  Thu, 26 Mar 2020 10:30:07 +0100

strace (4.26-0.2ubuntu3) eoan; urgency=medium

  * also filter kexec_file_load out of the list of programs to run for other
    tests.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 03 May 2019 05:19:49 +0000

strace (4.26-0.2ubuntu2) eoan; urgency=medium

  * debian/patches/kexec_file_load.patch: reintroduce now for arm64, which
    has added the syscall only in Linux 5.0 and later, so has the same
    problem as before with the split between kernel build headers and
    runtime kernel.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 02 May 2019 17:55:57 -0700

strace (4.26-0.2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Apply ptrace-error-verbosity.patch
  * Drop kexec_file_load.patch; was already disabled in previous
    versions, and causes no problems since we are consistently building/
    testing devel against a much newer kernel than 4.11.
  * Drop fix-glibc-ftbfs.patch, fixed differently upstream.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 02 May 2019 16:50:08 -0700
