=== debian/rules ===
--- 
+++ 
@@ -49,6 +49,10 @@
 %-stamp: %/Makefile
 	$(MAKE) -C $*
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq ($(DEB_HOST_ARCH),arm64)
+	# kexec_file_load only implemented on kernel >= 5.0
+	sed -i -e'/kexec_file_load/ s/^#*/#/' tests/pure_executables.list
+endif
 	$*/strace -V
 	$(MAKE) -C $* check VERBOSE=1
 endif
@@ -71,6 +75,7 @@
 	dh_testdir
 	dh_testroot
 	rm -rf build build-udeb build64 strace64.1 debian/strace64.substvars
+	sed -i -e'/kexec_file_load/ s/^#*//' tests/pure_executables.list
 	dh_clean
 
 binary: binary-indep binary-arch
