## strace 5.10

=== debian/changelog ===
strace (5.10-1) unstable; urgency=medium

  * New upstream version 5.10.
  * Removed the old mips test workaround, now fixed upstream
  * Disable failing tests for nlattr_crypto_user_alg and
    netlink_crypto

 -- Steve McIntyre <93sam@debian.org>  Fri, 01 Jan 2021 15:14:54 +0000

strace (5.9-1) UNRELEASED; urgency=medium

  [ Balint Reczey ]
  * debian/gitlab-ci.yml: Add simple Salsa CI configuration
  * New upstream version 5.9
  * Refresh patches

  [ Steve McIntyre ]
  * Tweak Description slightly.

 -- Steve McIntyre <93sam@debian.org>  Thu, 31 Dec 2020 15:43:06 +0900
