=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,11 @@
 else
   CFLAGS += -O2
 endif
+
+# ioctlsort is compiled with *_FOR_BUILD flags
+export CFLAGS_FOR_BUILD = $(CFLAGS)
+export CPPFLAGS_FOR_BUILD = $(CPPFLAGS)
+export LDFLAGS_FOR_BUILD = $(LDFLAGS)
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -49,10 +54,6 @@
 %-stamp: %/Makefile
 	$(MAKE) -C $*
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-ifeq ($(DEB_HOST_ARCH),arm64)
-	# kexec_file_load only implemented on kernel >= 5.0
-	sed -i -e'/kexec_file_load/ s/^#*/#/' tests/pure_executables.list
-endif
 	$*/strace -V
 	$(MAKE) -C $* check VERBOSE=1
 endif
@@ -75,7 +76,6 @@
 	dh_testdir
 	dh_testroot
 	rm -rf build build-udeb build64 strace64.1 debian/strace64.substvars
-	sed -i -e'/kexec_file_load/ s/^#*//' tests/pure_executables.list
 	dh_clean
 
 binary: binary-indep binary-arch
