## strace 5.11

=== debian/changelog ===
strace (5.11-0ubuntu1) hirsute; urgency=medium

  * New upstream version 5.11
  * Refresh patches
  * Adjust packaging to new upstream source layout

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 25 Feb 2021 17:49:46 +0100

strace (5.10-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Apply ptrace-error-verbosity.patch
    - also filter kexec_file_load out of the list of programs to run for other
      tests.
    Dropped changes:
    - debian/rules: Skip tests on riscv64
    - Really XFAIL failing m32 tests
  * Fix FTBFS on armhf due to running tests on arm64 kernel

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 27 Jan 2021 21:32:57 +0100

strace (5.9-0ubuntu2) hirsute; urgency=medium

  * Really XFAIL failing m32 tests

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 26 Oct 2020 15:50:39 +0100

strace (5.9-0ubuntu1) hirsute; urgency=medium

  * debian/gitlab-ci.yml: Add simple Salsa CI configuration
  * New upstream version 5.9
  * Refresh patches
  * Fix s390_sthyi response decoding to fix FTBFS on s390x
  * debian/rules: Skip tests on riscv64
  * Update failing tests.
    Drop XFAILs for riscv64 because tests are skipped there.

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 19 Oct 2020 11:59:15 +0200
