## strace 5.13

=== debian/changelog ===
strace (5.13-0ubuntu1) impish; urgency=medium

  * New upstream release (LP: #1941750)
  * Refresh patches
  * Disable build-udeb target to reduce build and test time
  * SKIP sockopt-timestamp.gen.test
  * SKIP tests on m32 which use struct shm_info or struct msginfo

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 27 Aug 2021 14:33:58 +0000
