=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
   MAKEFLAGS += -j$(NUMJOBS)
 endif
 
-extra_build_targets += build-udeb-stamp
+#extra_build_targets += build-udeb-stamp
 
 arch64_map = i386=x86_64 powerpc=powerpc64 sparc=sparc64 s390=s390x
 ifneq (,$(filter $(DEB_HOST_ARCH)=%, $(arch64_map)))
