## strace 5.14

=== debian/changelog ===
strace (5.14-1.lnd.3) unstable; urgency=medium

  * Remove user_pt_regs definition.

 -- Youling Tang <tangyouoling@loongson.cn>  Thu, 31 Mar 2022 09:57:54 +0800

strace (5.14-1.lnd.1) unstable; urgency=medium
  
  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>
  * Add loongarch64 support

 -- Youling Tang <tangyouoling@loongson.cn>  Wed, 20 Oct 2021 09:57:54 +0800

strace (5.10-1) experimental; urgency=low

  * strace 5.10 snapshot.

 -- Strace <strace-devel@lists.strace.io>  Mon, 14 Dec 2020 08:05:45 +0000

strace (5.9-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Thu, 24 Sep 2020 08:00:00 +0000

strace (5.8-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Thu, 06 Aug 2020 08:00:00 +0000

strace (5.7-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Mon, 01 Jun 2020 14:15:16 +0000

strace (5.6-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Tue, 07 Apr 2020 10:11:12 +0000

strace (5.4-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Thu, 28 Nov 2019 20:21:22 +0000

strace (5.3-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Wed, 25 Sep 2019 01:02:03 +0000

strace (5.2-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Fri, 12 Jul 2019 12:13:14 +0000

strace (5.1-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Wed, 22 May 2019 11:12:13 +0000

strace (5.0-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Tue, 19 Mar 2019 03:04:05 +0000

strace (4.26-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Wed, 26 Dec 2018 18:25:10 +0000

strace (4.25-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Tue, 30 Oct 2018 08:09:10 +0000

strace (4.24-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Tue, 14 Aug 2018 00:01:02 +0000

strace (4.23-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Thu, 14 Jun 2018 11:00:00 +0000

strace (4.22-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Thu, 05 Apr 2018 04:05:06 +0000

strace (4.20-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Mon, 13 Nov 2017 20:21:22 +0000

strace (4.18-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Wed, 05 Jul 2017 07:08:09 +0000

strace (4.17-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Wed, 24 May 2017 16:17:18 +0000

strace (4.16-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Tue, 14 Feb 2017 10:11:12 +0000
