## strace 5.16

=== debian/changelog ===
strace (5.16-0ubuntu3) jammy; urgency=medium

  * Configure with --disable-gcc-Werror on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Feb 2022 10:37:21 +0100

strace (5.16-0ubuntu2) jammy; urgency=medium

  * Fix the strace64 build.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Feb 2022 03:11:25 +0100

strace (5.16-0ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Feb 2022 06:46:14 +0100
