## strace 6.1

=== debian/changelog ===
strace (6.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Steve McIntyre ]
  * Add reference to LGPL-2.1 in /usr/share/common/licenses
  * Update copyright date (Closes: #985226)

  [ Balint Reczey ]
  * New upstream version 5.11 (Closes: #997274)
  * Refresh patches
  * Adjust packaging to new upstream source layout

  [ Andreas Henriksson ]
  * New upstream release 6.1
  * Bump year of strace copyright
  * Drop d/p/0006-s390-Check-infmname-with-IS_ARRAY_ZERO-too.patch
  * Use dh_autoreconf instead of ./bootstrap
  * Make tests non-fatal on mips{,64}el

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Jan 2023 17:18:03 +0100
