=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,12 @@
 
 CFLAGS += -Wall -g
 
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+  CFLAGS += -O0
+else
+  CFLAGS += -O2
+endif
+
 # ioctlsort is compiled with *_FOR_BUILD flags
 export CFLAGS_FOR_BUILD = $(CFLAGS)
 export CPPFLAGS_FOR_BUILD = $(CPPFLAGS)
@@ -19,7 +25,7 @@
   MAKEFLAGS += -j$(NUMJOBS)
 endif
 
-#extra_build_targets += build-udeb-stamp
+extra_build_targets += build-udeb-stamp
 
 arch64_map = i386=x86_64 powerpc=powerpc64 sparc=sparc64 s390=s390x
 ifneq (,$(filter $(DEB_HOST_ARCH)=%, $(arch64_map)))
@@ -35,10 +41,6 @@
   CONFIG_OPTS = --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
 endif
 
-ifeq ($(DEB_HOST_ARCH),ppc64el)
-  CONFIG_OPTS += --disable-gcc-Werror
-endif
-
 all: build
 
 build: build-arch build-indep
@@ -47,18 +49,18 @@
 build-indep: build-stamp $(extra_build_targets)
 
 configure:
-	./bootstrap
+	dh_autoreconf
 
 %-stamp: %/Makefile
 	$(MAKE) -C $*
-
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-ifeq ($(DEB_HOST_ARCH),arm64)
-	# kexec_file_load only implemented on kernel >= 5.0
-	sed -i -e'/kexec_file_load/ s/^#*/#/' tests/pure_executables.list
+	$*/src/strace -V
+ifneq (,$(findstring $(DEB_HOST_ARCH), mips64el mipsel))
+	echo "WARNING: Making tests non-fatal because of known test failures on $(DEB_HOST_ARCH)."
+	$(MAKE) -C $* check VERBOSE=1 || true
+else
+	$(MAKE) -C $* check VERBOSE=1
 endif
-	$*/src/strace -V
-	$(MAKE) -C $* check VERBOSE=1
 endif
 	touch $@
 
@@ -78,9 +80,9 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -rf build build-udeb build64 strace64.1 debian/strace64.substvars
-	sed -i -e'/kexec_file_load/ s/^#*//' tests/pure_executables.list
-	dh_clean
+	rm -rf build build-udeb build64 doc/strace64.1 debian/strace64.substvars
+	dh_autoreconf_clean
+	dh_clean configure
 
 binary: binary-indep binary-arch
