## strace 6.2

=== debian/changelog ===
strace (6.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #2012258)

 -- Adrien Nader <adrien.nader@canonical.com>  Mon, 20 Mar 2023 12:44:18 +0100

strace (6.1-0.1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable (LP: #2008207).  Remaining changes:
    - Apply ptrace-error-verbosity.patch
    - SKIP sockopt-timestamp.gen.test
    - SKIP tests on m32 which use struct shm_info or struct msginfo
    - XFAIL stacktrace tests on armhf with arm64 kernel.
    - Fix FTBFS on armhf due to running tests on arm64 kernel
    Dropped changes:
    - also filter kexec_file_load out of the list of programs to run for other
      tests.
  * Separated the Ubuntu patches from the Debian ones in d/patches/series,
    added comments and re-ordered them logically
  * Truncate files larger than 50MB at the end of the build; these are test
    output which can be up to 41GB as sparse files but can induce FTBFS.

 -- Adrien Nader <adrien.nader@canonical.com>  Wed, 22 Feb 2023 17:17:06 +0100

strace (5.19-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #1990964)
  * Update d/copyright to reflect upstream relicensing to LGPL >= 2.1 from
    2018 and its switch from sourceforge to github.
  * Drop merged patch 0006-s390-Check-infmname-with-IS_ARRAY_ZERO-too.patch

 -- Adrien Nader <adrien.nader@canonical.com>  Mon, 21 Nov 2022 16:05:44 +0100

strace (5.16-0ubuntu4) kinetic; urgency=medium

  * Enable stack tracing with libunwind on any Ubuntu architecture.
  * XFAIL stacktrace tests on armhf with arm64 kernel.
  * Use dh_autoreconf instead of the gone bootstrap script.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 05 Jul 2022 11:40:32 +0100
