=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,6 @@
 
 CFLAGS += -Wall -g
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-  CFLAGS += -O0
-else
-  CFLAGS += -O2
-endif
-
 # ioctlsort is compiled with *_FOR_BUILD flags
 export CFLAGS_FOR_BUILD = $(CFLAGS)
 export CPPFLAGS_FOR_BUILD = $(CPPFLAGS)
@@ -25,7 +19,7 @@
   MAKEFLAGS += -j$(NUMJOBS)
 endif
 
-extra_build_targets += build-udeb-stamp
+#extra_build_targets += build-udeb-stamp
 
 arch64_map = i386=x86_64 powerpc=powerpc64 sparc=sparc64 s390=s390x
 ifneq (,$(filter $(DEB_HOST_ARCH)=%, $(arch64_map)))
@@ -41,6 +35,10 @@
   CONFIG_OPTS = --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
 endif
 
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+  CONFIG_OPTS += --disable-gcc-Werror
+endif
+
 all: build
 
 build: build-arch build-indep
@@ -53,6 +51,7 @@
 
 %-stamp: %/Makefile
 	$(MAKE) -C $*
+
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	$*/src/strace -V
 ifneq (,$(findstring $(DEB_HOST_ARCH), mips64el mipsel))
@@ -91,6 +90,10 @@
 binary-arch: build
 	test -f build-stamp || make $(MFLAGS) -f debian/rules build
 
+	echo "Truncating to 128KB files larger than 50MB; these are typically sparse files of only zeroes but most are 41GB in size and add up to 3TB, which causes troubles down the road when sparse files are not handled efficiently."
+	find -type f -size +50M -exec ls -lh {} +
+	find -type f -size +50M -exec truncate --size=128KB {} +
+
 	# prepare 64bit executable and manpage, if it has been built
 	test -f build64-stamp && ( mv build64/src/strace build64/src/strace64 ; \
 		mv build64/doc/strace.1 build64/doc/strace64.1 ) || true
