## strace 6.5

=== debian/changelog ===
strace (6.5-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 6.5. (Closes: #1052118)

 -- Bo YU <tsu.yubo@gmail.com>  Thu, 07 Sep 2023 07:40:21 +0000

strace (6.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 6.4 (Closes: #1030587, #1042045)
  * Temporary enable testsuite non fatal on riscv64 due to known
    kernel issues.

 -- Bo YU <tsu.yubo@gmail.com>  Wed, 09 Aug 2023 15:57:38 +0000
