## strace 6.6

=== debian/changelog ===
strace (6.6-0ubuntu1) noble; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 31 Dec 2023 10:20:02 +0100

strace (6.5-0.0ubuntu1) mantic; urgency=medium

  * New upstream version, fixing FTBFS.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Sep 2023 13:46:55 +0200
